.catalog-grid {
    display: grid;
    grid-row-gap: rem(8);
    grid-column-gap: rem(8);
    grid-template-columns: 1fr 1fr;

    @include media-breakpoint-up(md) {
        grid-row-gap: rem(16);
        grid-column-gap: rem(16);
        grid-template-columns: 1fr 1fr 1fr;
    }

    @include media-breakpoint-up(lg) {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}

.catalog-item {
    display: block;
    background: white;
    padding: rem(8);
    text-align: center;
    font-weight: 600;
    font-size: rem(12);
    line-height: rem(16);
    border-radius: rem(4);
    text-decoration: none;
    color: var(--gray-80);
    border: 1px solid var(--gray-10);
    transition: var(--transition-time);

    &:hover {
        color: var(--blue);
        text-decoration: none;
        transition: var(--transition-time);
    }

    &__image {
        width: rem(48);
        display: block;
        margin: 0 auto rem(8) auto;
    }

    &__title {
        margin: 0 auto;
        max-width: rem(140);
        display: block;
    }

    @include media-breakpoint-up(md) {
        padding: rem(16);
        font-size: rem(15);
        line-height: rem(22);

        &__image {
            width: rem(96);
        }

        &__title {
            max-width: rem(180);
        }
    }

    @include media-breakpoint-up(lg) {}
}
